Page MenuHomePhabricator

ResourceLoader: Remove support for 'startupScripts' and 'loaderScripts' feature
Closed, ResolvedPublic

Description

They're evil, and only TimedMediaHandler uses them. Get rid of this misfeature.

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:55 AM
bzimport set Reference to bz63240.
bzimport added a subscriber: Unknown Object (MLST).
Catrope created this task.Mar 28 2014, 9:30 PM

Change 127581 had a related patch set uploaded by Ori.livneh:
Deprecate ResourceLoaderGetStartupModules

https://gerrit.wikimedia.org/r/127581

Change 127581 merged by jenkins-bot:
Deprecate ResourceLoaderGetStartupModules

https://gerrit.wikimedia.org/r/127581

Change 127582 had a related patch set uploaded by Ori.livneh:
Deprecate ResourceLoaderGetStartupModules

https://gerrit.wikimedia.org/r/127582

Change 127582 merged by jenkins-bot:
Deprecate ResourceLoaderGetStartupModules

https://gerrit.wikimedia.org/r/127582

Deprecated, not yet removed.

Krinkle lowered the priority of this task from Normal to Low.Dec 10 2014, 1:51 PM
Krinkle added a project: Technical-Debt.
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 7:00 PM
TheDJ added a comment.Oct 19 2015, 7:14 PM

TMH is switched around now, so this is GONE !!!

TheDJ closed this task as Resolved.Oct 19 2015, 7:15 PM
TheDJ claimed this task.

Did we kill the feature, or just the usage?

Krinkle renamed this task from ResourceLoader: Get rid of startupScripts to ResourceLoader: Remove support for 'startupScripts' and 'loaderScripts' feature.Oct 19 2015, 11:03 PM

Change 247475 had a related patch set uploaded (by Krinkle):
resourceloader: Remove 'loaderScripts' option from FileModule

https://gerrit.wikimedia.org/r/247475

Deprecated, not yet removed.

ResourceLoaderGetStartupModules was removed in 7fb6675a8f8f98f836cd44f827b7c94393e16afc.

TheDJ reopened this task as Open.Oct 20 2015, 11:48 AM
TheDJ reassigned this task from TheDJ to Krinkle.

Let's keep this open a little bit longer... until we merge 247475

Change 247475 merged by jenkins-bot:
resourceloader: Remove 'loaderScripts' option from FileModule

https://gerrit.wikimedia.org/r/247475

TheDJ closed this task as Resolved.Oct 28 2015, 4:24 PM

Change 460713 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Remove unused makeCustomLoaderScript() method

https://gerrit.wikimedia.org/r/460713

Change 460713 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Remove unused makeCustomLoaderScript() method

https://gerrit.wikimedia.org/r/460713